package de.intevation.flys.client.shared.model;


public class IntegerRangeData implements Data {

    protected String label;
    protected String description;

    protected int lower;
    protected int upper;


    public IntegerRangeData() {
    }


    public IntegerRangeData(String label, String desc, int lower, int upper) {
        this.label       = label;
        this.description = desc;
        this.lower       = lower;
        this.upper       = upper;
    }


    /**
     * Returns the label of the item.
     *
     * @return the label.
     */
    public String getLabel() {
        return label;
    }


    /**
     * Returns the description of the item.
     *
     * @return the description.
     */
    public String getDescription() {
        return description;
    }


    /**
     * Returns the type of the item.
     *
     * @return the type.
     */
    public String getType() {
        return "intrange";
    }


    /**
     * Returns a DataItem which value is a string that consists of the min and
     * max value separated by a ';'.
     *
     * @return the DataItem.
     */
    public DataItem[] getItems() {
        String theMin = String.valueOf(lower);
        String theMax = String.valueOf(upper);

        String value = theMin + ";" + theMax;

        DataItem item  = new DefaultDataItem(value, value, value);

        return new DataItem[] { item };
    }


    /**
     * @return always null.
     */
    public DataItem getDefault() {
        return null;
    }


    public int getLower() {
        return lower;
    }


    public int getUpper() {
        return upper;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
